<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activities.LoginActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="806dp"
        android:layout_height="1200dp"
        app:layout_constraintBottom_toTopOf="@+id/relativeLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.333"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0">

        <TextView
            android:id="@+id/textView3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/screen_title"
            android:textColor="#000000"
            android:textSize="35sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.054"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.032" />

        <ImageView
            android:id="@+id/profile_image"
            android:layout_width="93dp"
            android:layout_height="86dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.367"
            app:layout_constraintStart_toEndOf="@+id/textView3"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.014"
            tools:srcCompat="@tools:sample/avatars" />

        <TextView
            android:id="@+id/username_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:textColor="#000000"
            android:textStyle="bold|italic"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.325"
            app:layout_constraintStart_toEndOf="@+id/profile_image"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.022" />

        <RelativeLayout
            android:layout_width="797dp"
            android:layout_height="1090dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="1.0">

            <LinearLayout
                android:id="@+id/layout_heading"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="16dp">

                <TextView
                    android:id="@+id/guide_lne"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Inspection Reports"
                    android:textColor="@color/black"
                    android:textSize="24sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <com.google.android.material.tabs.TabLayout
                android:id="@+id/tab_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/layout_heading"
                app:tabGravity="fill"
                app:tabMaxWidth="0dp"
                app:tabMode="fixed" />

            <com.utopiaindustries.qualitychecker.utils.NonSwipeableViewPager
                android:id="@+id/viewpager"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tab_layout"
                android:background="@color/white" />

            <!--<androidx.recyclerview.widget.RecyclerView
                android:id="@+id/reports_recyclerview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="16dp">

            </androidx.recyclerview.widget.RecyclerView>
            <TextView
                android:id="@+id/empty_report_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="No Report Found"
                android:textAlignment="center"
                android:visibility="invisible">
            </TextView>-->
        </RelativeLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <RelativeLayout
        android:id="@+id/relativeLayout"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:background="#F5F5F5"
        app:layout_constraintVertical_bias="1.0">

        <Button
            android:id="@+id/create_report_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:backgroundTint="@color/light_blue"
            android:text="Create" />

        <Button
            android:id="@+id/refresh_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@id/create_report_btn"
            android:layout_marginEnd="16dp"
            android:layout_toStartOf="@id/create_report_btn"
            android:text="Refresh" />

        <Button
            android:id="@+id/logout_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@id/refresh_btn"
            android:layout_marginEnd="16dp"
            android:layout_toStartOf="@id/refresh_btn"
            android:text="Logout" />

        <Button
            android:id="@+id/fetch_product_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@id/logout_btn"
            android:layout_marginEnd="16dp"
            android:layout_toStartOf="@id/logout_btn"
            android:text="Fetch" />

        <Button
            android:id="@+id/app_update_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@id/fetch_product_btn"
            android:layout_marginEnd="16dp"
            android:layout_toStartOf="@id/fetch_product_btn"
            android:text="App Update" />

        <Button
            android:id="@+id/reports_upload_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@id/app_update_btn"
            android:layout_marginEnd="16dp"
            android:layout_toStartOf="@id/app_update_btn"
            android:text="Upload Reports" />

    </RelativeLayout>

    <ProgressBar
        android:id="@+id/progressBar"
        style="?android:attr/progressBarStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="invisible"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"/>
</androidx.constraintlayout.widget.ConstraintLayout>